gss_create_empty_oid_set(3)

NAME
gss_create_empty_oid_set - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_create_empty_oid_set(OM_uint32 * minor_status, gss_OID_set * oid_set);

ARGUMENTS

OM_uint32 * minor_status
    (integer, modify) Mechanism specific status code.

gss_OID_set * oid_set
    (Set of Object IDs, modify) The empty object identifier
      set. The routine will allocate the gss_OID_set_desc object,
      which the application must free after use with a call to
      gss_release_oid_set().

DESCRIPTION
Create an object-identifier set containing no object identifiers, to which members may be subsequently added using the gss_add_oid_set_member() routine. These routines are intended to be used to construct sets of mechanism object identifiers, for input to gss_acquire_cred.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.